<!doctype html>
<html>
<meta charset="UTF-8">

<head profile="http://www.w3.org/2005/10/profile">
<link rel="icon" 
      type="image/png" 
      href="https://lubrizol.netlify.com/images/myicon.png">
      <title>lubrizol - florilège de mêmes</title>
      <script src="https://unpkg.com/packery@2/dist/packery.pkgd.min.js"></script>
      <style>
           @font-face {
    font-family: 'nimbus_monoregular';
    src: url('../nimbusmono-regular-webfont.eot');
    src: url('../nimbusmono-regular-webfont.eot?#iefix') format('embedded-opentype'),
         url('../nimbusmono-regular-webfont.woff') format('woff'),
         url('../nimbusmono-regular-webfont.ttf') format('truetype'),
         url('../nimbusmono-regular-webfont.svg#nimbus_monoregular') format('svg');
    font-weight: normal;
    font-style: normal;

}

    body {
        font-size: 1.7vw;
        font-family: "nimbus_monoregular", "consolas", 'Courier New', Courier, monospace;
    }

 a {
        color: inherit;
        text-decoration: inherit;
        display: block;
    }

        a:hover{
        color: darkgray;
    }
    
    .foot {
        position: fixed;
        bottom: 0;
        left: 0;
        background-color: white;
        display: flex;
        justify-content: space-around;
        flex-direction: row;
        width: 100%;
    }
    
    .lien {
        min-width: 0;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -o-transition: all 1s ease;
        -ms-transition: all 1s ease;
        transition: all 1s ease;
        color: rgb(185, 185, 185);
        text-decoration: inherit;
        display: block;
    }
    
    .lien :hover {
        -webkit-filter: drop-shadow(8px 8px 10px rgb(59, 59, 59));
        /* Safari 6.0 - 9.0 */
        filter: drop-shadow(8px 8px 10px rgb(59, 59, 59));
    }

* { box-sizing: border-box; }

.grid {
  background: #DDD;
  max-width: 1700px;
}

    .grid-sizer,
.grid-item { 
    width: 20%;
    height: auto;
    background: #C09;
    border: 2px solid #DDD;
    }

  .grid-item {
  float: left;
}

    .grid-item img {
  display: block;
  margin:auto;
  width: 100%;
  overflow : hidden;
  pointer-events: none;
}

    .grid:after {
  content: '';
  display: block;
  clear: both;
}

    .grid-item:hover {
  background: #C90;
  cursor: pointer;
}

/* 2 columns wide */
.grid-item--width2 { 
    width: 40%;
    }
    .grid-item--large {
  width: 60%;
   max-width: 100%;
  max-height: 100%;
  height: auto;
  background: #0C9;
}
    </style>
</head>
    <body>
        <h1 style="text-align: center">Florilège de mêmes</h1>
        <div class="grid">
  <!-- .grid-sizer empty element, only used for element sizing -->
  <div class="grid-sizer"></div>
  <div class="grid- item grid-item--test"></div>
  <div class="grid-item">
      <img src="a2Rrw3E_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="a858NyY_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="aBgwpmN_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="ad5LpnD_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="aDgWAwN_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="ag5LW6K_700b.jpg">
  </div>
  <div class="grid-item grid-item--width2">
      <img src="ap5pgvb_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="ax7VvRW_700b.jpg">
  </div>
  <div class="grid-item grid-item--width2">
      <img src="aXjq779_700b.jpg">
  </div>
  <div class="grid-item">
      <img src="b2019-10-14_12.34.28.png">
      </div>
<div class="grid-item grid-item--width2">
      <img src="b2019-11-13_20.03.44.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.04.17.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.05.18.png">
  </div>
   <div class="grid-item">
      <img src="b2019-11-13_20.06.58.png">
  </div>
  <div class="grid-item grid-item--width2">
      <img src="b2019-11-13_20.15.33.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.16.26.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.17.00.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.17.21.png">
  </div>
  <div class="grid-item">
      <img src="b2019-11-13_20.21.43.png">
  </div>
   <div class="grid-item">
      <img src="b2019-11-13_20.22.09.png">
  </div>
  <div class="grid-item grid-item--width2">
      <img src="b2019-11-13_20.22.39.png">
  </div>
  </div>
        <div class="foot">
        <a href="javascript:history.back()" class="lien">
            <p>page précédente</p>
        </a>
        <a href="../reset" class="lien">
            <p>retour au départ</p>
        </a>
        <a href="../carte" class="lien">
            <p>carte</p></a></div>
<script>
    var grid = document.querySelector('.grid');
var pckry = new Packery( grid, {
  // options
  columnWidth: '.grid-sizer',
itemSelector: '.grid-item',
percentPosition: true
});

grid.addEventListener( 'click', function( event ) {
  // filter for grid-item clicks
  if ( !event.target.classList.contains('grid-item') ) {
    return;
  }
  event.target.classList.toggle('grid-item--large');
  pckry.layout();
});
</script>
    </body>

</html>
